Skip to main content
PATCH
/
projects
/
{project_id}
/
styleguides
/
{id}
cURL
curl "https://api.phrase.com/v2/projects/:project_id/styleguides/:id" \
  -u USERNAME_OR_ACCESS_TOKEN \
  -X PATCH \
  -d '{"title":"Web application style guide","audience":"customer-facing","target_audience":"teenager","grammatical_person":"first_person_singular","vocabulary_type":"technical","business":"We are a travel site that helps customers find the best hotels and flights.","company_branding":"ACME Inc. should never be translated.","formatting":"Never use capital letters","glossary_terms":"Apartment, cabin, loft","grammar_consistency":","literal_translation":"Neutral","overall_tone":"Tone should be fun and light","samples":"http://www.myexample.com/my/document/path/to/samples.pdf"}' \
  -H 'Content-Type: application/json'
phrase styleguides update \
--project_id <project_id> \
--id <id> \
--data '{"title": "Web application style guide", "audience":"customer-facing", "target_audience":"teenager", "grammatical_person":"first_person_singular", "vocabulary_type":"technical", "business": "We are a travel site that helps customers find the best hotels and flights.", "company_branding": "ACME Inc. should never be translated.", "formatting": "Never use capital letters", "glossary_terms": "Apartment, cabin, loft", "grammar_consistency":", "literal_translation":"Neutral", "overall_tone": "Tone should be fun and light", "samples": "http://www.myexample.com/my/document/path/to/samples.pdf"}' \
--access_token <token>
import requests

url = "https://api.phrase.com/v2/projects/{project_id}/styleguides/{id}"

payload = {
"title": "Web application style guide",
"audience": "customer-facing",
"target_audience": "teenager",
"grammatical_person": "first_person_singular",
"vocabulary_type": "technical",
"business": "We are a travel site that helps customers find the best hotels and flights.",
"company_branding": "ACME Inc. should never be translated.",
"formatting": "Never use capital letters",
"glossary_terms": "Apartment, cabin, loft",
"grammar_consistency": "",
"literal_translation": "Neutral",
"overall_tone": "Tone should be fun and light",
"samples": "http://www.myexample.com/my/document/path/to/samples.pdf"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Web application style guide',
audience: 'customer-facing',
target_audience: 'teenager',
grammatical_person: 'first_person_singular',
vocabulary_type: 'technical',
business: 'We are a travel site that helps customers find the best hotels and flights.',
company_branding: 'ACME Inc. should never be translated.',
formatting: 'Never use capital letters',
glossary_terms: 'Apartment, cabin, loft',
grammar_consistency: '',
literal_translation: 'Neutral',
overall_tone: 'Tone should be fun and light',
samples: 'http://www.myexample.com/my/document/path/to/samples.pdf'
})
};

fetch('https://api.phrase.com/v2/projects/{project_id}/styleguides/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "abcd1234cdef1234abcd1234cdef1234",
  "title": "My Style Guide",
  "created_at": "2015-01-28T09:52:53Z",
  "updated_at": "2015-01-28T09:52:53Z",
  "public_url": "https://phrase.com/styleguide/my-project/26f065cf597be340",
  "audience": "customer-facing",
  "target_audience": "teenager",
  "grammatical_person": "first_person_singular",
  "vocabulary_type": "technical",
  "business": "We are a travel site that helps customers find the best hotels and flights.",
  "company_branding": "ACME Inc. should never be translated.",
  "formatting": "Never use capital letters",
  "glossary_terms": "Apartment, cabin, loft",
  "grammar_consistency": "",
  "literal_translation": "Neutral",
  "overall_tone": "Tone should be fun and light",
  "samples": "http://www.myexample.com/my/document/path/to/samples.pdf"
}
{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

project_id
string
required

Project ID

id
string
required

ID

Body

application/json
title
string

Style guide title

Example:

"Web application style guide"

audience
string

Audience description

Example:

"customer-facing"

target_audience
enum<string>

Target audience for the translations.

Available options:
not_specified,
children,
teenager,
young_adults,
adults,
old_adults
Example:

"teenager"

grammatical_person
enum<string>

Preferred grammatical person.

Available options:
not_specified,
first_person_singular,
second_person_singular,
third_person_singular_masculine,
third_person_singular_feminine,
third_person_singular_neuter,
first_person_plural,
second_person_plural,
third_person_plural
Example:

"first_person_singular"

vocabulary_type
enum<string>

Vocabulary register the translations should use.

Available options:
not_specified,
popular,
technical,
fictional
Example:

"technical"

business
string

Description of the business

Example:

"We are a travel site that helps customers find the best hotels and flights."

company_branding
string

Company branding to remain consistent.

Example:

"ACME Inc. should never be translated."

formatting
string

Formatting requirements and character limitations.

Example:

"Never use capital letters"

glossary_terms
string

List of terms and/or phrases that need to be translated consistently.

Example:

"Apartment, cabin, loft"

grammar_consistency
string

Formal or informal pronouns, consistent conjugation, grammatical gender

Example:

""

literal_translation
string

Can be one of: Cultural/Conversational, Literal, Neutral.

Example:

"Neutral"

overall_tone
string

Tone requirement descriptions

Example:

"Tone should be fun and light"

samples
string

Provide links to sample product pages, FAQ pages, etc. to give the translator a point of reference. You can also provide past translations. Even snippets or short paragraphs are helpful for maintaining consistency.

Example:

"http://www.myexample.com/my/document/path/to/samples.pdf"

Response

OK

id
string
title
string
created_at
string<date-time>
updated_at
string<date-time>
public_url
string
audience
string
target_audience
string
grammatical_person
string
vocabulary_type
string
business
string
company_branding
string
formatting
string
glossary_terms
string
grammar_consistency
string
literal_translation
string
overall_tone
string
samples
string